#ifndef SRC_ROSPLANSERVICE_H
#define SRC_ROSPLANSERVICE_H

#include <Thread.h>
#include <ros/callback_queue.h>
#include "PlanService.h"
#include <ros/ros.h>
#include "hu_msgs/routePlan.h"

namespace jf {
    class RosPlanService : public Thread {
    public:
        RosPlanService();
        bool Start();
        bool Stop();

        bool pathPlan(hu_msgs::routePlan::Request &req,hu_msgs::routePlan::Response &res);

    private:
        U32 run();

    private:
        //PlanService planService;
        ros::CallbackQueue my_queue;

        ros::NodeHandle node;
        ros::ServiceServer server;
    };

}
#endif //SRC_ROSPLANSERVICE_H
